import Line from "./Line";
import Bar from "./Bar";
import Area from "./Area";
import Column from "./Column";
import MultipleLine from "./MultipleLine";
import StackedBar from "./StackedBar";
import MultipleBar from "./MultipleBar";
import StackedColumn from "./StackedColumn";
import MultipleColumn from "./MultipleColumn";
import Doughnut from "./Doughnut";
import Pie from "./Pie";
import Radar from "./Radar";
import Radar2 from "./Radar/index2";
import Scatter from "./Scatter";
import Heat from "./Heat";
import Sankey from "./Sankey";
import Sunburst from "./Sunburst";
import Treemap from "./Treemap";
import Tree from "./Tree";
import Map from "./Map";
import Map1 from "./Map/index1";
import Map2 from "./Map/index2";
import Table from "./Table";

export default {
  install(Vue, options) {
    Vue.component(Line.name, Line);
    Vue.component(Bar.name, Bar);
    Vue.component(Area.name, Area);
    Vue.component(Column.name, Column);
    Vue.component(MultipleLine.name, MultipleLine);
    Vue.component(StackedBar.name, StackedBar);
    Vue.component(MultipleBar.name, MultipleBar);
    Vue.component(StackedColumn.name, StackedColumn);
    Vue.component(MultipleColumn.name, MultipleColumn);
    Vue.component(Doughnut.name, Doughnut);
    Vue.component(Pie.name, Pie);
    Vue.component(Radar.name, Radar);
    Vue.component(Radar2.name, Radar2);
    Vue.component(Scatter.name, Scatter);
    Vue.component(Heat.name, Heat);
    Vue.component(Sankey.name, Sankey);
    Vue.component(Sunburst.name, Sunburst);
    Vue.component(Treemap.name, Treemap);
    Vue.component(Tree.name, Tree);
    Vue.component(Map.name, Map);
    Vue.component(Map1.name, Map1);
    Vue.component(Map2.name, Map2);
    Vue.component(Table.name, Table);
  }
}
